Bug 1662114 - Enabled etcd monitoring, but there is not ectd data in etcd grafana page
Summary: Enabled etcd monitoring, but there is not ectd data in etcd grafana page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Sergiusz Urbaniak
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-26 09:13 UTC by Junqi Zhao
Modified: 2019-06-04 10:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:41:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
etcd grafana page shows api and controller-manager data (67.03 KB, image/png)
2019-01-30 07:21 UTC, Junqi Zhao
no flags Details
no data for etcd_server_has_leader{job=~".*etcd.*"} (35.28 KB, image/png)
2019-01-30 07:22 UTC, Junqi Zhao
no flags Details
etcd grafana page (110.38 KB, image/png)
2019-04-23 08:07 UTC, Junqi Zhao
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:41:33 UTC

Comment 1 Junqi Zhao 2019-01-30 07:21:03 UTC
Created attachment 1524891 [details]
etcd grafana page shows api and controller-manager data

Comment 2 Junqi Zhao 2019-01-30 07:22:28 UTC
Created attachment 1524892 [details]
no data for etcd_server_has_leader{job=~".*etcd.*"}

Comment 5 Frederic Branczyk 2019-04-11 11:39:22 UTC
Moved to post, as the work necessary for this to be fixed has been done in the monitoring stack, but we're awaiting the etcd team to finish the etcd integration for QE to be able to test this.

Comment 7 Frederic Branczyk 2019-04-17 12:12:57 UTC
Everything related to this has been merged, we are seeing etcd metrics being collected and appropriately displayed in the Grafana dashboard.

Comment 9 Junqi Zhao 2019-04-18 05:23:21 UTC
There is not available OCP payload which packages the fix to test, so postpone the testing until we have available payload

Comment 10 Junqi Zhao 2019-04-23 08:07:22 UTC
ectd data is shown in etcd grafana page
payload: 4.0.0-0.nightly-2019-04-20-175518

Comment 11 Junqi Zhao 2019-04-23 08:07:58 UTC
Created attachment 1557469 [details]
etcd grafana page

Comment 13 errata-xmlrpc 2019-06-04 10:41:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.